> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer une valeur d'attribut

> Crée une valeur d'attribut.

Crée une valeur d'attribut.

```json Corps de la requête theme={null}
{
  "attributeId": 1,
  "description": "XL",
  "index": 4
}
```


## OpenAPI

````yaml openapi.json POST /attributes/values
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /attributes/values:
    post:
      summary: Create an attribute value
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: >-
            _"attributeId" is required (enter it either in parameters or request
            body)_
          in: query
          name: attributeId
          required: true
          schema:
            type: integer
        - description: >-
            _"description" is required (enter it either in parameters or request
            body)_
          in: query
          name: description
          required: true
          schema:
            type: string
        - description: >-
            _"index" is required (enter it either in parameters or request
            body)_
          in: query
          name: index
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                attributeId:
                  nullable: false
                  type: integer
                description:
                  nullable: false
                  type: string
                index:
                  nullable: false
                  type: integer
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  insertAttributeValuesOne:
                    nullable: true
                    properties:
                      attribute:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      description:
                        nullable: false
                        type: string
                      id:
                        nullable: false
                        type: integer
                      index:
                        nullable: false
                        type: integer
                    type: object
          description: Response

````